/***************************************************************************
                          customerenamer.h  -  description
                             -------------------
    begin                : Thu Sep 25 2003
    copyright            : (C) 2003 by Avi Alkalay
    email                : avi@unix.sh
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef CUSTOMRENAMER_H
#define CUSTOMRENAMER_H

#include <qobject.h>
#include <kfileitem.h>

#include "customrename.h" // The QT Designer dialog
#include "musicfilenamelayout.h"
#include "normalizationparameters.h"

/**Engine for the custom renaming action
  *@author Avi Alkalay
  */

class CustomRenamer : public QObject  {
	Q_OBJECT
	public: 
		CustomRenamer(KFileItemList &_fileList, FilenameMiner *_miner=0L, NormalizationParameters *_normalization=0L, QWidget *_parent=0L);
		~CustomRenamer();
	public slots: // Public slots
		/** Wrapper for the destructor as a slot */
		void finish();
		/** Starts the renaming engine after the user clicked the "OK" button */
		void accept();
	private: // Private methods
		/** Responsible for making the dialog appear */
		void userDialog(QWidget *parent);
		/** The user dialog for the custom renaming */
		CustomRenameDialog * renameDialog;

		QWidget * parent;
		KFileItemList fileList;
		FilenameMiner *miner;
		/** Derived from the MusicMan parent object, how user prefers filesnames to be created. */
		NormalizationParameters *normalization;
};

#endif
