/***************************************************************************
                          mmconfig.cpp  -  description
                             -------------------
    begin                : Sat Oct 4 2003
    copyright            : (C) 2003 by Avi Alkalay
    email                : avi@unix.sh
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "mmconfig.h"
#include "musicmanconfig.h"

#include <kconfig.h>
#include <qcheckbox.h>
#include <kglobal.h>

MMConfig::MMConfig(QWidget *parent, const char *name): KCModule(parent,name) {
	config=new KConfig("musicman");
	userDialog(parent);
}


void MMConfig::userDialog(QWidget *parent) {
	kcmDialog=new MusicmanConfigDialog(parent);

	kcmDialog->toggleUnderline->setChecked(config->readBoolEntry("preferUnderline",true));
}

void MMConfig::save() {
	config->writeEntry("preferUnderline",kcmDialog->toggleUnderline->isChecked());
}

MMConfig::~MMConfig() {
	delete config;
}

QString MMConfig::quickHelp() const {
	return i18n("Helpful information about the musicman module.");
}

int MMConfig::buttons () {
	return KCModule::Default|KCModule::Apply|KCModule::Help;
}


const KAboutData* MMConfig::aboutData() {
	KAboutData *about = new KAboutData(i18n("kcmmusicman"),
		i18n("KDE Music Manager"), 0, 0, KAboutData::License_LGPL,
		i18n("(c) 2003 Avi Alkalay"));

	about->addAuthor("Avi Alkalay", 0, "avi@unix.sh");
	return about;
}



// --------------------------------------------------------------------------
extern "C" {
	KCModule *create_Musicman(QWidget *parent, const char *name) {
		KGlobal::locale()->insertCatalogue("Musicman");
		return new MMConfig(parent, name);
	}
}

