/***************************************************************************
                          musicfolderinfo.h  -  description
                             -------------------
    begin                : Sat Jun 7 2003
    copyright            : (C) 2003 by Avi Alkalay
    email                : avi@unix.sh
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef MUSICFOLDERINFO_H
#define MUSICFOLDERINFO_H

#include <kfile.h>
#include <kfileitem.h>

/**Encapsulates some folder info like total playing time, number of songs, etc
  *@author Avi Alkalay
  */

class MusicFolderInfo {
public: 
	MusicFolderInfo();
	~MusicFolderInfo() {}


	/** Returns the string for the playing time represented as hh:mm:ss */
	QString nicePlayingTime();


	/** Adds the file info to this folder statistics. */
	void add(const KFileItem &file);


	/** Adds a subfolder statistics to this folder statistics.*/
	void add(const MusicFolderInfo &folder);

public: // Private attributes
	/** The folder total playing time */
	unsigned long int playingTime;

	/** Folder size in bytes */
	KIO::filesize_t size;

	/** Total number of intems inside folder */
	unsigned int items;

	/** Total subfolders, only used for _ROOT_ folder */
	unsigned int subFolders;
};

#endif
